Bug 532456 - x86_64 flash-plugin alpha crashes firefox at shutdown
Summary: x86_64 flash-plugin alpha crashes firefox at shutdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 13
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2181c19cab6c4b67299c69fb303...
: 532474 533101 538147 540350 541544 541567 541571 541680 541848 542146 542204 542208 542372 542549 542847 542862 542877 542921 543099 543104 543130 543513 543729 545024 546921 547576 549524 553602 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-02 13:39 UTC by Tomas Pelka
Modified: 2018-04-11 13:58 UTC (History)
133 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-26 19:01:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.60 KB, text/plain)
2009-11-02 13:39 UTC, Tomas Pelka
no flags Details
Follow instructions for 64 bit Alpha (36 bytes, text/plain)
2010-06-10 14:00 UTC, Steven Crawford
no flags Details

Description Tomas Pelka 2009-11-02 13:39:10 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/lib64/firefox-3.5.4/firefox --sm-config-prefix /firefox-yS9Ilx/ --sm-client-id 1073488826678c115a125665333772404300000047730035 --screen 0 


component
-----
firefox


executable
-----
/usr/lib64/firefox-3.5.4/firefox


kernel
-----
2.6.31.5-96.fc12.x86_64


package
-----
firefox-3.5.4-1.fc12


rating
-----
2



reason
-----
Process was terminated by signal 6

Comment 1 Tomas Pelka 2009-11-02 13:39:14 UTC
Created attachment 367132 [details]
File: backtrace

Comment 2 Tomas Pelka 2009-11-02 13:43:13 UTC
ibus-1.2.0.20091014-2.fc12.x86_64
xulrunner-1.9.1.4-1.fc12.x86_64
nspr-4.8.2-1.fc12.x86_64

Comment 3 Tomas Pelka 2009-11-02 15:18:31 UTC
*** Bug 532474 has been marked as a duplicate of this bug. ***

Comment 4 Matthias Clasen 2009-11-12 07:28:50 UTC
Looks like an ibus issue.

Comment 5 Bug Zapper 2009-11-16 14:52:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Peng Huang 2009-11-24 05:10:58 UTC
*** Bug 538147 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2009-11-24 05:28:11 UTC
ibus-1.2.0.20091124-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-1.2.0.20091124-1.fc12

Comment 8 Filipe Rosset 2009-11-24 22:18:00 UTC
I install this updates and no more erros now.
But i need test more.
This error occurs on simple web navigation.
I have Adobe Flash Player installed.

Comment 9 Peng Huang 2009-11-25 05:32:34 UTC
This bug has been fixed in ibus-1.2.0.20091124-1.fc12

Comment 10 Fedora Update System 2009-11-25 15:06:11 UTC
ibus-1.2.0.20091124-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12084

Comment 11 Peng Huang 2009-11-27 23:37:52 UTC
*** Bug 533101 has been marked as a duplicate of this bug. ***

Comment 12 Peng Huang 2009-11-27 23:39:40 UTC
*** Bug 541848 has been marked as a duplicate of this bug. ***

Comment 13 Peng Huang 2009-11-27 23:40:47 UTC
*** Bug 540350 has been marked as a duplicate of this bug. ***

Comment 14 Matěj Cepl 2009-12-01 18:15:02 UTC
*** Bug 543099 has been marked as a duplicate of this bug. ***

Comment 15 Matěj Cepl 2009-12-01 18:15:37 UTC
*** Bug 543104 has been marked as a duplicate of this bug. ***

Comment 16 Matěj Cepl 2009-12-01 18:16:50 UTC
*** Bug 541544 has been marked as a duplicate of this bug. ***

Comment 17 Matěj Cepl 2009-12-01 18:17:13 UTC
*** Bug 541567 has been marked as a duplicate of this bug. ***

Comment 18 Matěj Cepl 2009-12-01 18:17:33 UTC
*** Bug 541571 has been marked as a duplicate of this bug. ***

Comment 19 Matěj Cepl 2009-12-01 18:17:58 UTC
*** Bug 541680 has been marked as a duplicate of this bug. ***

Comment 20 Matěj Cepl 2009-12-01 18:18:28 UTC
*** Bug 542146 has been marked as a duplicate of this bug. ***

Comment 21 Matěj Cepl 2009-12-01 18:18:55 UTC
*** Bug 542204 has been marked as a duplicate of this bug. ***

Comment 22 Matěj Cepl 2009-12-01 18:20:04 UTC
*** Bug 542208 has been marked as a duplicate of this bug. ***

Comment 23 Matěj Cepl 2009-12-01 18:20:29 UTC
*** Bug 542372 has been marked as a duplicate of this bug. ***

Comment 24 Matěj Cepl 2009-12-01 18:20:56 UTC
*** Bug 542549 has been marked as a duplicate of this bug. ***

Comment 25 Matěj Cepl 2009-12-01 18:21:27 UTC
*** Bug 542847 has been marked as a duplicate of this bug. ***

Comment 26 Matěj Cepl 2009-12-01 18:22:05 UTC
*** Bug 542862 has been marked as a duplicate of this bug. ***

Comment 27 Matěj Cepl 2009-12-01 18:22:44 UTC
*** Bug 542877 has been marked as a duplicate of this bug. ***

Comment 28 Matěj Cepl 2009-12-01 18:23:11 UTC
*** Bug 542921 has been marked as a duplicate of this bug. ***

Comment 29 Jens Petersen 2009-12-02 00:07:47 UTC
(In reply to comment #10)
> ibus-1.2.0.20091124-1.fc12 has been pushed to the Fedora 12 testing repository.
>  If problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide
> feedback for this update here:
> http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12084  

If people could test this and bump the karma that would be great.

Comment 30 Fedora Update System 2009-12-03 04:54:47 UTC
ibus-1.2.0.20091124-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Nikolay Bryskin 2009-12-07 19:11:12 UTC
I have reproduced the crash with ibus-1.2.0.20091124-1.fc12. Here is backtrace:

UUID: 39c2453500e2a402b1f0e586625619894ca7be37
architecture: x86_64
cmdline: /usr/lib64/firefox-3.5.5/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.5/firefox
kernel: 2.6.31.6-145.fc12.x86_64
package: firefox-3.5.5-1.fc12
rating: 4
reason: Process was terminated by signal 11
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Open firefox
2. Open many tabs
3. Work with firefox for a long time (for a week in my case)
4. Close firefox with saving tabs.

backtrace
-----
[New Thread 13157]
Core was generated by `/usr/lib64/firefox-3.5.5/firefox'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000316060ee6b in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
42				 sig);
Current language:  auto
The current source language is "auto; currently c".

Thread 2 (Thread 13157):
#0  0x000000315fed4aa3 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        _a3 = -1
        _a1 = 140397838746880
        resultvar = <value optimized out>
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000324e42c51f in poll_func (ufds=0x7fb0eb4e4500, nfds=2, timeout=-1, 
    userdata=0x7fb0eb7f32b0) at pulse/thread-mainloop.c:75
        mutex = 0x7fb0eb7f32b0
        r = -347192064
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x000000324e41cb66 in pa_mainloop_poll (m=0x7fb0f9765f00)
    at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x000000324e41df29 in pa_mainloop_iterate (m=0x7fb0f9765f00, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x000000324e41dfe0 in pa_mainloop_run (m=0x7fb0f9765f00, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x000000324e42c43b in thread (userdata=0x7fb0eb7f3220)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#6  0x000000324e038660 in internal_thread_func (userdata=0x7fb0eb4e41e0)
    at pulsecore/thread-posix.c:72
        t = 0x7fb0eb4e41e0
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003160606a3a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7fb0d80fc710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140397515884304, 
    -1841412494576587198, 212070370080, 0, 0, 3, 1806028150995152450, 
    -1868081424858616254}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 
    0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#8  0x000000315feddf3d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#9  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 2379):
#0  0x000000316060ee6b in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = 0
        pid = <value optimized out>
#1  0x00000035cbe7752a in nsProfileLock::FatalSignalHandler (signo=11)
    at nsProfileLock.cpp:212
        unblock_sigs = {__val = {1024, 0 <repeats 15 times>}}
        oldact = <value optimized out>
#2  <signal handler called>
No symbol table info available.
#3  IA__g_type_check_instance (type_instance=0x7fb0eed73ec0) at gtype.c:3802
        node = <value optimized out>
#4  0x00007fb10b1ddeab in IA__g_signal_handlers_disconnect_matched (instance=
    0x7fb0eed73ec0, mask=24, signal_id=0, detail=0, closure=0x0, 
    func=<value optimized out>, data=<value optimized out>) at gsignal.c:2667
        n_handlers = 0
        __PRETTY_FUNCTION__ = "IA__g_signal_handlers_disconnect_matched"
#5  0x00007fb0f9fcfec3 in update_client_widget (
    context_xim=<value optimized out>) at gtkimcontextxim.c:1641
        new_client_widget = 0x0
#6  set_ic_client_window (context_xim=<value optimized out>)
    at gtkimcontextxim.c:654
No locals.
#7  0x00007fb0f9fcff5b in xim_info_display_closed (display=
    0x7fb10b564380 [GdkDisplayX11], is_error=<value optimized out>, info=
    0x7fb0fc409f60) at gtkimcontextxim.c:402
        ics = 0x7fb0db388d10 = {0x7fb0da127800, 0x7fb0db72ef00, 
    0x7fb0d884da00, 0x7fb0fe3a2400, 0x7fb0e41ddb00, 0x7fb0f96bcf00, 
    0x7fb0fae41600, 0x7fb0fb07f200, 0x7fb0f9895c00, 0x7fb0f982b300, 
    0x7fb0f9829200, 0x7fb0f9765800, 0x7fb0ecee6400, 0x7fb0ef589f00, 
    0x7fb0eef6d900, 0x7fb0eeed1900, 0x7fb0eef6f800, 0x7fb0f09df400, 
    0x7fb0dda92600, 0x7fb0ef621d00, 0x7fb0efba2a00, 0x7fb0f0a54a00, 
    0x7fb0ef586200, 0x7fb0efd21e00, 0x7fb0ec34f000, 0x7fb0ef621400, 
    0x7fb0e27e2300, 0x7fb0e9dd8c00, 0x7fb0ef7aa300, 0x7fb0efba0500, 
    0x7fb0ed2c9900, 0x7fb0ed1bd600, 0x7fb0ece7cd00, 0x7fb0eb7b9500, 
    0x7fb0eb0c0e00, 0x7fb0ec34f100, 0x7fb0ea189100, 0x7fb0ec8c8f00, 
    0x7fb0eb7bab00, 0x7fb0eac7a300, 0x7fb0eb4b2600, 0x7fb0eb4b1d00, 
    0x7fb0eb410a00, 0x7fb0eac7b100, 0x7fb0eb411500, 0x7fb0eb411100, 
    0x7fb0eb410e00, 0x7fb0eb411300, 0x7fb0eb410b00, 0x7fb0eb410800, 
    0x7fb0eb4b3b00, 0x7fb0eac7ab00, 0x7fb0ea187100, 0x7fb0f16c4300, 
    0x7fb0ecee7a00, 0x7fb0ed2c9000, 0x7fb0ec628d00, 0x7fb0ece7eb00, 
    0x7fb0ea186d00, 0x7fb0ed2c7b00, 0x7fb0ea186500, 0x7fb0ec350e00, 
    0x7fb0ea397300, 0x7fb0efd22b00, 0x7fb0e27e4800, 0x7fb0ec628600, 
    0x7fb0ea5d0a00, 0x7fb0ea5d0300, 0x7fb0e27e4c00, 0x7fb0ecee7c00, 
    0x7fb0e27e4500, 0x7fb0ee16a300, 0x7fb0ea397a00, 0x7fb0ecee6200, 
    0x7fb0e27e4a00, 0x7fb0ea5d0900, 0x7fb0ea186600, 0x7fb0ea188400, 
    0x7fb0e27e3b00, 0x7fb0e27e4600, 0x7fb0e27e1700, 0x7fb0ea399b00, 
    0x7fb0ea397100, 0x7fb0f0af8900, 0x7fb0f0a56f00}
        tmp_list = 0x7fb0dbe594c0 = {0x7fb0fe3a2400, 0x7fb0e41ddb00, 
    0x7fb0f96bcf00, 0x7fb0fae41600, 0x7fb0fb07f200, 0x7fb0f9895c00, 
    0x7fb0f982b300, 0x7fb0f9829200, 0x7fb0f9765800, 0x7fb0ecee6400, 
    0x7fb0ef589f00, 0x7fb0eef6d900, 0x7fb0eeed1900, 0x7fb0eef6f800, 
    0x7fb0f09df400, 0x7fb0dda92600, 0x7fb0ef621d00, 0x7fb0efba2a00, 
    0x7fb0f0a54a00, 0x7fb0ef586200, 0x7fb0efd21e00, 0x7fb0ec34f000, 
    0x7fb0ef621400, 0x7fb0e27e2300, 0x7fb0e9dd8c00, 0x7fb0ef7aa300, 
    0x7fb0efba0500, 0x7fb0ed2c9900, 0x7fb0ed1bd600, 0x7fb0ece7cd00, 
    0x7fb0eb7b9500, 0x7fb0eb0c0e00, 0x7fb0ec34f100, 0x7fb0ea189100, 
    0x7fb0ec8c8f00, 0x7fb0eb7bab00, 0x7fb0eac7a300, 0x7fb0eb4b2600, 
    0x7fb0eb4b1d00, 0x7fb0eb410a00, 0x7fb0eac7b100, 0x7fb0eb411500, 
    0x7fb0eb411100, 0x7fb0eb410e00, 0x7fb0eb411300, 0x7fb0eb410b00, 
    0x7fb0eb410800, 0x7fb0eb4b3b00, 0x7fb0eac7ab00, 0x7fb0ea187100, 
    0x7fb0f16c4300, 0x7fb0ecee7a00, 0x7fb0ed2c9000, 0x7fb0ec628d00, 
    0x7fb0ece7eb00, 0x7fb0ea186d00, 0x7fb0ed2c7b00, 0x7fb0ea186500, 
    0x7fb0ec350e00, 0x7fb0ea397300, 0x7fb0efd22b00, 0x7fb0e27e4800, 
    0x7fb0ec628600, 0x7fb0ea5d0a00, 0x7fb0ea5d0300, 0x7fb0e27e4c00, 
    0x7fb0ecee7c00, 0x7fb0e27e4500, 0x7fb0ee16a300, 0x7fb0ea397a00, 
    0x7fb0ecee6200, 0x7fb0e27e4a00, 0x7fb0ea5d0900, 0x7fb0ea186600, 
    0x7fb0ea188400, 0x7fb0e27e3b00, 0x7fb0e27e4600, 0x7fb0e27e1700, 
    0x7fb0ea399b00, 0x7fb0ea397100, 0x7fb0f0af8900, 0x7fb0f0a56f00}
#8  0x00007fb10b1c6a8e in IA__g_closure_invoke (closure=0x7fb0faf3a460, 
    return_value=0x0, n_param_values=2, param_values=0x7fb0d84063d0, 
    invocation_hint=0x7fff5f9e4b90) at gclosure.c:767
        marshal = <value optimized out>
        marshal_data = <value optimized out>
        in_marshal = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#9  0x00007fb10b1dbec3 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3247
        tmp = <value optimized out>
        handler = 0x7fb0faf3a430
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x7fb10b564380, ihint = {
            signal_id = 3, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x7fb10b581860
        handler_list = 0x7fb0fc46c9a0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = <value optimized out>
        max_sequential_handler_number = <value optimized out>
        return_value_altered = <value optimized out>
#10 0x00007fb10b1dd259 in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff5f9e4d80) at gsignal.c:2980
        instance_and_params = <value optimized out>
        signal_return_type = 4
        param_values = 0x7fb0d84063e8
        node = 0x7fb10b5906f0
        i = <value optimized out>
        n_params = 1
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#11 0x00007fb10b1dd7a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 
    0x7fff5f9e4e60, reg_save_area = 0x7fff5f9e4da0}}
#12 0x00007fb10a1250d2 in IA__gdk_display_close (display=
    0x7fb10b564380 [GdkDisplayX11]) at gdkdisplay.c:195
        __PRETTY_FUNCTION__ = "IA__gdk_display_close"
#13 0x00000035cbe6d002 in MOZ_gdk_display_close (display=
    0x7fb10b564380 [GdkDisplayX11]) at nsAppRunner.cpp:2454
        theme_is_qt = 0
        settings = <value optimized out>
        theme_name = 0x7fb0d848e060 ""
#14 0x00000035cbe71967 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3433
        desktopStartupIDEnv = 0x0
        updRoot = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b51d9c0}, <No data fields>}
        persistent = 1
        profLD = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b5cfa40}, <No data fields>}
        dirProvider = {<nsIDirectoryServiceProvider2> = 
    {<nsIDirectoryServiceProvider> = {<nsISupports> = {_vptr.nsISupports = 
    0x35cceda7b0}, <No data fields>}, <No data fields>}, <nsIProfileStartup> = {<nsISupports> = {_vptr.nsISupports = 0x35cceda7f8}, <No data fields>}, 
          mAppProvider = {<nsCOMPtr_base> = {mRawPtr = 
    0x0}, <No data fields>}, mGREDir = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b51da80}, <No data fields>}, mXULAppDir = {<nsCOMPtr_base> = {
              mRawPtr = 0x7fb10b51d9c0}, <No data fields>}, mProfileDir = 
    {<nsCOMPtr_base> = {mRawPtr = 0x7fb10b5cf980}, <No data fields>}, 
          mProfileLocalDir = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b5cfa40}, <No data fields>}, mProfileNotified = 0 '\000', 
          mExtensionsLoaded = 1 '\001', mAppBundleDirectories = 
    {<nsCOMArray_base> = {mArray = {mImpl = 0x0}}, <No data fields>}, 
          mExtensionDirectories = {<nsCOMArray_base> = {mArray = {mImpl = 
    0x7fb10b5f9800}}, <No data fields>}, mThemeDirectories = 
    {<nsCOMArray_base> = {mArray = {mImpl = 
    0x7fb10b430f10}}, <No data fields>}}
        desktopStartupIDPtr = <value optimized out>
        nativeApp = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b5628c0}, <No data fields>}
        startOffline = <value optimized out>
        profileName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0x7fb10b42c8a8 "default", mLength = 7, 
                mFlags = 65541}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0x7fff5f9e5460 ""}, mStorage = 
    "\000\000\000\000\000\000\000\000\300\331Q\v\261\177\000\000\300T\236_\377\177\000\000\320T\236_\377\177\000\000\016\000\a\200\000\000\000\000s0t\314\065\000\000\000\300T\236_\377\177\000\000qWt\314\065\000\000"}
        upgraded = <value optimized out>
        versionOK = 0
        appInitiatedRestart = 0
        desktopStartupID = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 
    0x7fff5f9e54c0 "gnome-panel-1870-nikicat-laptop.butovo-firefox-0_TIME236452", mLength = 59, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 
    0x7fff5f9e54c0 "gnome-panel-1870-nikicat-laptop.butovo-firefox-0_TIME236452"}, mStorage = 
    "gnome-panel-1870-nikicat-laptop.butovo-firefox-0_TIME236452\000\261\177\000"}
        display_name = <value optimized out>
        xremotearg = <value optimized out>
        _g_set_application_name = <value optimized out>
        canRun = 1
        profileLock = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b430e20}, <No data fields>}
        profD = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b5cf980}, <No data fields>}
        version = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = 
    {mData = 0x7fff5f9e5400 "3.5.5_20091105042105/20091105042105", mLength = 
    35, mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0x7fff5f9e5400 "3.5.5_20091105042105/20091105042105"}, mStorage = 
    "3.5.5_20091105042105/20091105042105\000\000\000\000\000@ r\v\261\177\000\000\320T\236_\377\177\000\000\020U\236_\377\177\000"}
        needsRestart = 0
        display = <value optimized out>
        _gtk_window_set_auto_startup_notification = <value optimized out>
        osABI = {<nsCString> = {<nsACString_internal> = {mData = 
    0x35cc7b91e3 "Linux_x86_64-gcc3", mLength = 17, mFlags = 
    1}, <No data fields>}, <No data fields>}
        rv = 0
        gtkModules = <value optimized out>
        appData = {<nsXREAppData> = {size = 112, ry = 0x7fb10b51d9c0, 
            vendor = 0x7fb10b5520c8 "Mozilla", name = 
    0x7fb10b5520d0 "Firefox", version = 0x7fb10b5520d8 "3.5.5", buildID = 
    0x7fb10b51a110 "20091105042105", ID = 
    0x7fb10b519640 "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}", copyright = 
    0x7fb10b519670 "Copyright (c) 1998 - 2009 mozilla.org", flags = 6, 
            xreDirectory = 0x7fb10b51da80, minVersion = 
    0x7fb10b5520e0 "1.9.1.5", maxVersion = 0x7fb10b5520e8 "1.9.1.5", 
            crashReporterURL = 
    0x7fb10b5196a0 "https://crash-reports.mozilla.com/submit", profile = 
    0x0}, <No data fields>}
        localIniFile = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b51db40}, <No data fields>}
        parser = {mSections = 
    {<nsBaseHashtable<nsDepCharHashKey, nsAutoPtr<nsINIParser_internal::INIValue>, nsINIParser_internal::INIValue*>> = 
    {<nsTHashtable<nsBaseHashtableET<nsDepCharHashKey, nsAutoPtr<nsINIParser_internal::INIValue> > >> = {mTable = {ops = 0x35cd076380, data = 0x0, 
                  hashShift = 28, maxAlphaFrac = 192 '\300', minAlphaFrac = 
    64 '@', entrySize = 24, entryCount = 1, removedCount = 0, generation = 0, 
                  entryStore = 
    0x7fb10b50a300 ""}}, <No data fields>}, <No data fields>}, 
          mFileContents = {mRawPtr = 0x7fb10b51b780 "[Build"}}
        ar = <value optimized out>
        override = 0x0
        iniFile = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b51db40}, <No data fields>}
        i = <value optimized out>
#15 0x0000000000402616 in main (argc=1, argv=0x7fff5f9e9898)
    at nsXULStub.cpp:482
        iniFile = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fb10b51d900}, <No data fields>}
        appData = {mAppData = 0x7fb10b53f0f0}
        rv = <value optimized out>
        lastSlash = <value optimized out>
        iniPath = 
    "/usr/lib64/firefox-3.5.5/application.ini", '\000' <repeats 4055 times>
        greDir = 
    "/usr/lib64/xulrunner-1.9.1\000libxpcom.so", '\000' <repeats 4057 times>
        parser = {mSections = 
    {<nsBaseHashtable<nsDepCharHashKey, nsAutoPtr<nsINIParser::INIValue>, nsINIParser::INIValue*>> = 
    {<nsTHashtable<nsBaseHashtableET<nsDepCharHashKey, nsAutoPtr<nsINIParser::INIValue> > >> = {mTable = {ops = 0x616610, data = 0x0, hashShift = 28, 
                  maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', 
                  entrySize = 24, entryCount = 4, removedCount = 0, 
                  generation = 0, entryStore = 
    0x7fb10b50a180 ""}}, <No data fields>}, <No data fields>}, 
          mFileContents = {mRawPtr = 
    0x7fb10b510800 "; ***** BEGIN LICENSE BLOCK *****"}}
        kXULFuncs = {{functionName = 0x41109c "XRE_CreateAppData", function = 
    0x6166f0}, {functionName = 0x4110ae "XRE_FreeAppData", function = 
    0x6166f8}, {functionName = 0x4110be "XRE_main", function = 0x616700}, {
            functionName = 0x0, function = 0x0}}
        retval = 1604229272
        greFound = <value optimized out>
        appDataFile = <value optimized out>
        tmpPath = 
    '\000' <repeats 3784 times>"\214, \351\240_1", '\000' <repeats 11 times>"\261, \024\340`1\000\000\000\000P\202\v\261\177\000\000\322z\240_1", '\000' <repeats 35 times>, "h\362\237_\377\177\000\000\001", '\000' <repeats 191 times>"\214, \351\240_1", '\000' <repeats 11 times>"\314, [\341_1\000\000\000\220i\202\v\261\177\000\000\322z\240_1\000\000"
        fileStat = {st_dev = 64769, st_ino = 268513, st_nlink = 1, st_mode = 
    33261, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 100696, 
          st_blksize = 4096, st_blocks = 200, st_atim = {tv_sec = 1259949444, 
            tv_nsec = 41298550}, st_mtim = {tv_sec = 1257445524, tv_nsec = 
    0}, st_ctim = {tv_sec = 1258824904, tv_nsec = 432676440}, __unused = {0, 
    0, 0}}

Comment 32 Peng Huang 2009-12-08 02:44:02 UTC
Hi Nikolay Bryskin,

I think this crash is a different problem. The crash happened in gtk xim im module, not in ibus im module.

I think it is same with https://bugzilla.redhat.com/show_bug.cgi?id=541451

Comment 33 Matěj Cepl 2009-12-10 16:50:23 UTC
*** Bug 543130 has been marked as a duplicate of this bug. ***

Comment 34 Matěj Cepl 2009-12-13 00:36:24 UTC
*** Bug 545024 has been marked as a duplicate of this bug. ***

Comment 35 Matěj Cepl 2009-12-13 00:37:18 UTC
*** Bug 546921 has been marked as a duplicate of this bug. ***

Comment 36 Jonathan 2009-12-13 07:02:08 UTC
(In reply to comment #9)
> This bug has been fixed in ibus-1.2.0.20091124-1.fc12  

Has stopped crashes over several runs. Looks good from here.

Comment 37 Jonathan 2009-12-14 00:43:51 UTC
Got a crash on pidgen handoff to firefox for chat join using web browser to get through yahoo captcha approval. Marked as same thing crash on exiting but it was crash on bringing it up.

Comment 38 Matěj Cepl 2009-12-14 17:45:37 UTC
#2  <signal handler called>
No symbol table info available.
#3  0x0000003438a33575 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        pid = <value optimized out>
        selftid = <value optimized out>
#4  0x0000003438a34d55 in abort () at abort.c:92
        act = {__sigaction_handler = {sa_handler = 0x3438d7ad78 <stderr>, 
            sa_sigaction = 0x3438d7ad78 <stderr>}, sa_mask = {__val = {2048, 
    1024, 140180505552512, 598176, 4257202, 224288336632, 140181582461328, 
    937984, 4294967295, 1, 5, 270221067240, 0, 140733425820368, 64, 0}}, 
          sa_flags = 945874385, sa_restorer = 0x7f7e00000005}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#5  0x0000003eea45eb2f in IA__g_assertion_message (
    domain=<value optimized out>, file=0x7f7e81ad6612 "ibusconnection.c", 
    line=-1, func=0x7f7e81ad68a0 "ibus_connection_call", message=
    0x7f7e51299380 "assertion failed: (dbus_connection_get_is_connected (priv->connection))") at gtestutils.c:1302
        lstr = 
    "762\000\377\177\000\000\b\205@\352>\000\000\000@\217 94\000\000\000\340g\255\201~\177\000"
        s = <value optimized out>
#6  0x0000003eea45f0d0 in IA__g_assertion_message_expr (domain=
    0x7f7e81ad5e88 "IBUS", file=0x7f7e81ad6612 "ibusconnection.c", line=762, 
    func=0x7f7e81ad68a0 "ibus_connection_call", expr=<value optimized out>)
    at gtestutils.c:1313
No locals.
#7  0x00007f7e81abf7b6 in ibus_connection_call (connection=
    0x7f7e5a440680 [IBusConnection], name=
    0x7f7e81ad6d82 "org.freedesktop.DBus", path=
    0x7f7e81ad6d97 "/org/freedesktop/DBus", interface=
    0x7f7e81ad6d82 "org.freedesktop.DBus", member=<value optimized out>, 
    error=0x7fff0ddaa4a8, first_arg_type=<value optimized out>)
    at ibusconnection.c:762
        __PRETTY_FUNCTION__ = "ibus_connection_call"
        priv = <value optimized out>
        message = 0x7f7e81ad6d97
        reply = 0x7f7e5a440680
        tmp_error = <value optimized out>
        args = {{gp_offset = 232432800, fp_offset = 32767, 
            overflow_arg_area = 0x3eea45a5c0, reg_save_area = 0x7fff0ddaa4a8}}
        type = <value optimized out>
        retval = <value optimized out>
#8  0x00007f7e81ac266d in ibus_proxy_destroy (proxy=
    0x7f7e5ba9a820 [IBusInputContext]) at ibusproxy.c:397
        error = 0x7f7e58b854e0
        rule = 
    0x7f7e58b96940 "type='signal',sender='org.freedesktop.IBus',path='/org/freedesktop/IBus/InputContext_7'"
        priv = 0x7f7e5ba9a850
#9  0x0000003eeb00ba8e in IA__g_closure_invoke (closure=0x7f7e861159c0,

Comment 39 Matěj Cepl 2009-12-14 17:45:55 UTC
*** Bug 543513 has been marked as a duplicate of this bug. ***

Comment 40 Matěj Cepl 2009-12-14 17:46:03 UTC
*** Bug 543729 has been marked as a duplicate of this bug. ***

Comment 41 Chris Campbell 2009-12-16 14:30:44 UTC
*** Bug 547790 has been marked as a duplicate of this bug. ***

Comment 42 Matěj Cepl 2009-12-23 01:15:01 UTC
*** Bug 547576 has been marked as a duplicate of this bug. ***

Comment 43 Matěj Cepl 2009-12-23 01:16:33 UTC
*** Bug 549524 has been marked as a duplicate of this bug. ***

Comment 44 Jonathan 2009-12-29 16:42:26 UTC
Found some more information on this crash.

In .xsession-errors

** (gnome-panel:1592): CRITICAL **: panel_applet_frame_change_background: assertion `PANEL_IS_WIDGET (GTK_WIDGET (frame)->parent)' failed

(firefox:1836): GLib-WARNING **: g_set_prgname() called multiple times

(firefox:1836): Gdk-WARNING **: XID collision, trouble ahead

(firefox:1836): Gdk-WARNING **: XID collision, trouble ahead

(firefox:1836): Gdk-WARNING **: XID collision, trouble ahead

(firefox:1836): Gdk-WARNING **: XID collision, trouble ahead
Warning >>'/var/cache/abrt/kerneloops-1262103725-1' does not exist<<
Warning >>Dump directory for UUID 1136913573 doesn't exist or misses crucial files, deleting<<
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2000003 (Authentica)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2000003 (Authentica)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.

(nautilus:1597): Nautilus-GDU-WARNING **: unable to query info: The specified location is not supported


(nautilus:1597): Nautilus-GDU-WARNING **: unable to query info: The specified location is not supported

Comment 45 Chris Campbell 2010-01-11 04:21:41 UTC
*** Bug 553602 has been marked as a duplicate of this bug. ***

Comment 46 Henrique C. S. Junior 2010-05-08 13:30:39 UTC
Still not fixed in 3.5.9?

Comment 47 Justin Clift 2010-05-16 03:14:22 UTC
And Firefox 3.6.3 (latest update for F13 at the time of this writing).

Comment 48 Justin Clift 2010-05-16 03:16:40 UTC
Guys, this bug should probably be re-opened, as it's occurring in Firefox on Fedora 13.

Or at least, there's an annoying crashing bug in FF on Fedora 13 that the ABRT gui keeps on saying is this.

Comment 49 D.S. Ljungmark 2010-05-16 16:37:29 UTC
Happens in F13 too, yes.  
Also ending up here with abrt, and with the situation as is, which is that ibus is _not installed_ on this computer.

Comment 50 Dario Castellarin 2010-05-27 19:35:23 UTC
Agreed, this bug is anything but solved in F13, and abrt keeps sending me here.

Comment 51 Thomas Kowaliczek 2010-05-28 00:34:10 UTC
I have this bug too.

Comment 52 Dave Gordon 2010-05-28 15:18:46 UTC
The is a repeatable bug on Fedora 13 with full updates installed; all that is necessary is to close Firefox 3.6.3. Microsoft could repair it for you if you don't want to :P

Comment 53 Alex Lancaster 2010-05-28 17:29:43 UTC
Re-opening as per comment #46 to comment #52.  I can also reproduce this with:

# rpm -q ibus firefox
ibus-1.3.3-1.fc13.x86_64
firefox-3.6.3-4.fc13.x86_64

Comment 54 Daniel Stripes 2010-05-28 21:06:11 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Bug revealed its annoying presence when I quit Firefox.

Comment 55 Joshua Rosen 2010-05-28 23:07:55 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Exit Firefox
2.
3.


Comment
-----
This is a problem with bug reporting not with Firefox. Normal exits from Firefox are treated as crashes and invoke the bug reporting tool.

Comment 56 Cristian Ciupitu 2010-05-29 01:03:59 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
It happened when I quit Firefox.

Comment 57 Dario Castellarin 2010-05-29 04:08:36 UTC
(In reply to comment #55)
> Package: firefox-3.6.3-4.fc13
> Architecture: x86_64
> OS Release: Fedora release 13 (Goddard)
> 
> 
> How to reproduce
> -----
> 1.Exit Firefox
> 2.
> 3.
> 
> 
> Comment
> -----
> This is a problem with bug reporting not with Firefox. Normal exits from
> Firefox are treated as crashes and invoke the bug reporting tool.    

Does abrt 1.1.1 fix this? Should this bug be reassigned?

Comment 58 andreesie 2010-05-29 19:10:16 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
what I believe that is responsible:
1. Install / Disable / Enable / Deinstall add-on.
2. Get asked to click on "Restart Firefox"
3. Click on "Restart Firefox"


Comment
-----
Install 'hide menubar' addon, click restart, firefox crashes. Then you'll have to start firefox manually again

Comment 59 Peque 2010-05-30 00:28:01 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just closed Firefox after a few minutes navigating with it.

Comment 60 Randy 2010-05-30 04:00:08 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Open FF
2.Go to URL
3.Watch it crash


Comment
-----
happens all the time.  I blame Bill Gates.  Maybe Steve Jobs.

Comment 61 Zachary 2010-05-30 04:27:25 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. It happens occasionly when I seem to close firefox. It will appear to shutdown properly and then give signal 11.

Comment
-----
It's been happening for awhile. Haven't really cared much about it so I havne't cared to file a report.

Comment 62 andreesie 2010-05-30 05:45:52 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Disable stumbleupon toolbar
2. click restart firefox
3.


Comment
-----
seems to happen when you disable / enable an addon and then click 'restart firefox'

Comment 63 Alexander Volovics 2010-05-30 11:23:08 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
The problem was reported after I closed firefox after reading the 
online version of the UK newspaper 'the Gaurdian'.
I did nothing special, watched no videos, did nothing interactive.
Just reading some articles

Comment 64 sandijs.aploks 2010-05-30 11:58:35 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Happens very often when you are closing firefox. At that moment core dump happens. But there are times when firefox exits normally too.

Comment 65 Justin Clift 2010-05-30 16:18:13 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Use Firefox "normally" (browse web, etc)
2. Crash occurs when exiting Firefox.
3.

Comment 66 Justin Clift 2010-05-30 16:20:40 UTC
Upgrading abrt to 1.1.4-1 (recompiled src.rpm from rawhide) did not solve the problem.  Firefox is still dumping core when exiting.

$ file core.2203 
core.2203: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/lib64/firefox-3.6/firefox'
$ ls -alh core.2203 
-rw------- 1 jc jc 235M May 31 02:11 core.2203
$

******************************************************************************

For anyone else getting this bug who wants it fixed, please add your vote to get this looked at:

  https://bugzilla.redhat.com/votes.cgi?action=show_user&bug_id=532456#vote_532456

Comment 67 laurenthoudijk 2010-05-30 16:46:03 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close Firefox (when Flash was running)
2. Open Firefox again
3. It said an instance was already open

Comment 68 Alex Lancaster 2010-05-30 18:52:32 UTC
Looking at all the comments, this looks to be more firefox-related than ibus-related, so reassigning component to make sure the firefox developers see it.

Comment 69 Christofer Bertonha 2010-05-31 11:35:45 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. just close FF

Comment 70 ravi a 2010-05-31 16:35:12 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
just opened firefox bookmark

Comment 71 Gerard Ryan 2010-05-31 23:36:15 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close firefox
2.
3.

Comment 72 Vadim Grinco 2010-06-01 22:39:47 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Do whatever you're doing
2. Close firefox


Comment
-----
It happened a thousand times to me.

Comment 73 Jens Petersen 2010-06-02 00:53:41 UTC
Does anyone have an exact reproducer recipe for this
starting from a fresh install?

Comment 74 Jens Petersen 2010-06-02 00:54:48 UTC
And is this bug specific to Fedora?

Comment 75 Steevithak 2010-06-02 01:02:35 UTC
All I have to do to reproduce it is close Firefox. It crashes on exit 100% of the time and has since I installed Fedora 12. I haven't upgrade to Fedora 13 yet but I never had this problem on Fedora 10 or 11 on the same box.

I'm running firefox-3.5.9-2.fc12.x86_64 on a Dell Inspiron 531S desktop box

Comment 76 Jens Petersen 2010-06-02 01:46:35 UTC
It doesn't crash for me, hence my questions. :)

Comment 77 Jens Petersen 2010-06-02 01:48:29 UTC
Going by the alias it seems to be something related to the firefox addons update-client?

Comment 78 Justin Clift 2010-06-02 02:40:31 UTC
Jens, personally I'm not sure.

Just checked, and there are three FF add-ons installed on my client:

 + IcedTea NPR Web Browser Plugin (using IcedTea6 1.7.1 (fedora-37.b17.fc13-x86_64))

 + Shockwave Flash - A manual install of the 64-bit Flash plugin here:
                     http://labs.adobe.com/downloads/flashplayer10_64bit.html

 + iTunes Application Detector - Seems to be shipped with Firefox.

 + Adblock Plus 1.2 - Installed through the "Get Add-ons" Add-ons tab in Firefox.

Comment 79 Justin Clift 2010-06-02 02:41:17 UTC
Heh.  "four" FF add-ons I meant. ;)

Comment 80 andreesie 2010-06-02 05:10:18 UTC
"And is this bug specific to Fedora?" - Jens Petersen

I think so, I don't have this problem anywhere else.. there's also a lot of crashes in the kernel, and I already got the error "Error report buffer overflow" which mean that there are too meany errors.

Comment 81 Christopher 2010-06-02 06:09:01 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Shut down browser
2.
3.


Comment
-----
Closed the browser using the X button, responding not to save tabs when prompted.

Comment 82 Christopher 2010-06-02 06:09:21 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Shut down browser
2.
3.


Comment
-----
Closed the browser using the X button, responding not to save tabs when prompted.

Comment 83 Alexander Volovics 2010-06-02 08:25:03 UTC
Is the alias 'update_client_widget' relevant?

I had a problem something like this on fedora 12.
The reply was that it was probably caused by the 64 bit flashplayer
that I was using as a plugin. However I also tried the google browser
chrome with this 64 bit flashplayer. No crashes there! So probably a
specific firefox problem.

On May 26 I did a fresh install of fedora 13.
The first 4 days (May 26-30) I used firefox-3.6.3-4 WITHOUT any plugins
and WITHOUT any add-ons! Yet I had this problem of firefox producing a bug
reporting tool icon on the panel quite regularly after shutdown, however I couldn't discover a possible trigger. It seemed to happen almost 'at random'.
NB fedora doesn't actually 'crash'.
I reported it on 30 May, see above, with a core dump appended and described
what I had been doing with firefox when it happened.
"Bugzilla" added my report to bug 532456. But is it really the same bug?

On May 30 I added the 64 bit flashplayer plugin and the add-ons: 'NoScript'
and 'Flash and Video Download' to firefox. The 'random' bug reports keeps
coming regularly but not more frequently. Sometimes it happens sometimes it doesn't. 
I still can't supply "steps to reproduce". Firefox seems to be working OK and the problem doesn't prevent me from doing anything (up till now).
But the event is quite irritating and it would be nice to see it fixed.

Comment 84 Dave Gordon 2010-06-02 14:58:00 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Didn't even see it crash - so can't help

Comment 85 Christopher Beland 2010-06-02 16:30:42 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
crash on exit

Comment 86 A Muslic 2010-06-03 00:00:14 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.It crashed on youtub website
2.
3.

Comment 87 Greg Martyn 2010-06-03 00:29:59 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I had just installed firebug and the web developer toolbar. Was restarting firefox.\
The Daily Show may have been playing in the background.

Comment 88 Jens Petersen 2010-06-03 01:54:18 UTC
Does it crash without any flash-plugin installed?

Comment 89 Joseph D. Wagner 2010-06-03 06:20:31 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.  Likely related to 64-bit alpha Flash plugin from Adobe.

Comment 90 Retlaw Dlawso 2010-06-03 14:37:52 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
closed an external application (not on this pc) on a secured connection

Comment 91 James 2010-06-03 19:54:09 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Happened when I closed Firefox.

Comment 92 bosse.pettersson 2010-06-03 22:02:37 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Ended Firefox with the X in upper right corner
2.
3.


Comment
-----
Runing firefox in KDE

Comment 93 Richard Shaw 2010-06-03 23:48:10 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed firefox.
2.
3.

Comment 94 Suawomirr 2010-06-04 09:02:29 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. closed firefox
2.
3.


Comment
-----
open and close firefox 3.5.9-2.fc12

Comment 95 Dennis Austmann 2010-06-04 09:32:16 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
firefox crashed while closing it

Comment 96 Joe Conway 2010-06-04 16:43:51 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close Firefox
2.
3.


Comment
-----
abrt complains every time I close Firefox, and has do so since fedora 12....

Comment 97 Steven Crawford 2010-06-05 07:02:56 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Close application from main window controls
2.
3.


Comment
-----
Click the 'x' in window control

Comment 98 Steven Crawford 2010-06-05 07:09:14 UTC
Same as Joe Conway's (Comment 96). This is a recurring issue since FC12. Almost every time Firefox is closed abrt detects a crash.

Comment 99 Thomas Defranc 2010-06-05 09:34:39 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close firefox

Comment
-----
I closed firefox

Comment 100 Jonathan Ryshpan 2010-06-05 09:47:45 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Firefox
2. Click File->Quit->Quit
3.


Comment
-----
I ran Firefox, used it for a while, and quit, as above, not saving state.  This has happened a few times before.  Odd.

Comment 101 Igor Katalnikov 2010-06-05 21:28:11 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Spontanious crash
2.
3.

Comment 102 Jonathan Rushdoony 2010-06-06 05:50:53 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed Firefox after browsing.
2.
3.

Comment 103 Jonathan Rushdoony 2010-06-06 06:21:36 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed Firefox
2.
3.

Comment 104 Joseph D. Wagner 2010-06-06 09:19:56 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.  Likely related to 64-bit alpha Flash plugin from Adobe.

Comment 105 Aleksander Pronkiewicz 2010-06-06 12:51:10 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close FF
2.
3.


Comment
-----
Just closed FF

Comment 106 Justin Clift 2010-06-06 13:46:08 UTC
Jens, I've been running FF without the Adobe Flash 10 64-bit plug-in for most of three days now.

In that time, FF has not crashed nor abrt picked up this error at all.

Looks pretty strongly like it's that plug-in causing the problem.  However, that plug-in is pre-release software, so I'm not real stressed.

It's good that this problem is not being caused something unknown and serious.  :)

Comment 107 Andrew Clegg 2010-06-06 21:59:05 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close Firefox - had a tab open
2. Kaboom!

Comment 108 Suawomirr 2010-06-06 23:04:04 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. this annoying firefox...
2. I just closed ff
3. nobody can handle it really? No mozilla stuff nor redhat?

Comment 109 Test 2010-06-07 00:00:15 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.close firefox
2.
3.

Comment 110 meddlingmonk 2010-06-07 00:41:35 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit Firefox
2.
3.


Comment
-----
Crash happens when exiting Firefox but not consistently. Most of the time Firefox quits without an error.

Comment 111 Jens Petersen 2010-06-07 02:23:47 UTC
Does the exit crash also happen with upstream mozilla builds?

Comment 112 Justin Clift 2010-06-07 02:51:54 UTC
Jens, upstream doesn't appear to supply compiled binaries for 64-bit Linux.  Testing the 32-bit binaries won't allow the 64-bit Adobe Flash plug-in to operate, that's not a goer.

Is it worth building upstream from source instead, to get a 64-bit build?

Comment 113 Nicolas Troncoso Carrere 2010-06-07 03:18:12 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Firefox
2. go to my web page http://www.inf.utfsm.cl/~ntroncos
3. Close Firefox


Comment
-----
I just closed Firefox

Comment 114 Greg Martyn 2010-06-07 03:27:16 UTC
Justin:

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/

For 64-bit FF nightly

Comment 115 Greg Martyn 2010-06-07 03:29:22 UTC
..then click the "more stuff" link

Comment 116 Justin Clift 2010-06-07 04:08:17 UTC
Thanks Greg.  Trying with the closest 64-bit build I could find:

  http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-firefox-3.6.x/firefox-3.6.6pre.en-US.linux-x86_64.tar.bz2

As it's FF 3.6.3 on F13 that's crashing.

With the above 3.6.6pre build from the Mozilla site, plus the (known "bad" flash plugin) I haven't been able to get FF to crash so far.

I'll continue using it for a few days, unless someone has better suggestions of ways to test.

Comment 117 Nicolas Troncoso Carrere 2010-06-07 04:16:09 UTC
Does SIGINT make FF behave the same way as exiting, or pressing the X on the window?

If it does, then script it in an infinite loop that opens FF lest it run a couple of minutes then kills it with SIGINT. Rinse and repeat.

Comment 118 Thomas Defranc 2010-06-07 15:17:00 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I closed firefox
2.
3.

Comment 119 Loup des Neiges 2010-06-07 18:52:23 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Exit Firefox

Comment 120 Kristen 2010-06-07 20:04:40 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just stop firefox
2.
3.

Comment 121 Phillip Lynn 2010-06-07 20:25:22 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Was closing firefox with a couple of open screens.  System crashed.
2.
3.

Comment 122 Jens Petersen 2010-06-08 03:06:00 UTC
So, how about using the stable flash-plugin.i386 instead?

Comment 123 Joseph D. Wagner 2010-06-08 04:35:02 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.  Likely related to 64-bit alpha Flash plugin from Adobe.

Comment 124 Justin Clift 2010-06-08 04:47:24 UTC
Jens, not unless it's the absolute last resort. Previously, when running Gentoo, I've used the i386 version + had to mess around with nspluginwrapper to make it (mostly) work.

That wasn't a real great experience, and even having to put up with abrt messages when closing FF would be better than having to go back to that. :)

As an aside I tried Nicolas's suggestion (comment #117), and tried some lengthy multi-hour loop sequences with delays of 10 seconds, and 300 seconds, and the upstream FF build didn't crash with this plugin.

Also subsequently used the browser multiple times last night for real work stuff, and again, no crash with the upstream FF build.

Comment 125 Benjamin Bellec 2010-06-08 21:24:34 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Close firefox (with few tabs, including flash)


Comment
-----
Crash happend when clicking on the close button.

Comment 126 Daniel Demus 2010-06-08 21:58:08 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close firefox
2.
3.


Comment
-----
Closing firefox

Comment 127 freonmonkey 2010-06-09 01:20:56 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. View web pages.
2. Quit  firefox.
3. Submit bug report when it crashes.

Comment 128 Jens Petersen 2010-06-09 01:58:02 UTC
(In reply to comment #124)
> Jens, not unless it's the absolute last resort. Previously, when running
> Gentoo, I've used the i386 version + had to mess around with nspluginwrapper to
> make it (mostly) work.

I haven't had any problems with it on fedora for good while time.
Perhaps you should try it: afaik it works out of the box bicbw.

> As an aside I tried Nicolas's suggestion (comment #117), and tried some lengthy
> multi-hour loop sequences with delays of 10 seconds, and 300 seconds, and the
> upstream FF build didn't crash with this plugin.
> 
> Also subsequently used the browser multiple times last night for real work
> stuff, and again, no crash with the upstream FF build.    

Interesting

Comment 129 Sebastian Krieger 2010-06-09 18:46:26 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I think it's crashing after using flash-plugin

Comment 130 Igor Katalnikov 2010-06-09 22:18:33 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed Firefox
2.
3.

Comment 131 Steven Crawford 2010-06-10 14:00:00 UTC
Created attachment 422914 [details]
Follow instructions for 64 bit Alpha

Alternatively an RPM is available at:

http://forums.fedoraforum.org/showthread.php?t=205642

I had this issue in FC12 & FC13. Since installing the above RPM, no issues have appeared.

Comment 132 David Walther 2010-06-10 17:43:57 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Happens when Firfox is shut off.

Comment 133 Daniel Demus 2010-06-10 20:56:58 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Quit firefox
2. Submit bug report


Comment
-----
This turns up after closing firefox

Comment 134 Kyle Pablo 2010-06-11 01:23:53 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open firefox
2. visit a site
3. close firefox


Comment
-----
It happens with the flash plugin enabled.

Comment 135 Todd Thomas 2010-06-11 14:27:36 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open firefox
2. Do some browsing
3. Close firefox


Comment
-----
I'm really not sure what the condition is that makes firefox crash but it happens about half the time. Just closing the browser appears as a crash to the os.  

I have a new fedora 13 install so the OS should be fairly clean or at least close to defaults. If the back trace doesn't provide anything useful then toss it.

Comment 136 niemcu 2010-06-11 15:23:46 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Install moonlight plugin from this site: http://www.go-mono.com/moonlight/download.aspx
2. restart firefox
3.

Comment 137 Ankur Sinha (FranciscoD) 2010-06-11 17:24:21 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Didn't do anything special. crashed when i closed it IIRC

Comment 138 D.S. Ljungmark 2010-06-11 20:40:18 UTC
> 
> I haven't had any problems with it on fedora for good while time.
> Perhaps you should try it: afaik it works out of the box bicbw.

Not for me,  attempts have been unbearable due to flickering while scrolling a page.   (nspluginwrapper + i386 flash for linux)  so far I've had to fall back to i386 due to the lack of securityupdates for 64bit, and the experience is harrowingly bad.

Comment 139 foo.hazard 2010-06-12 03:14:23 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Updated and uninstalled several add-ons
2. Restarted Firefox
3. Error message appear

Comment 140 Joseph D. Wagner 2010-06-12 05:46:22 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.

Comment
-----
Closed Firefox.

Comment 141 Retlaw Dlawso 2010-06-12 07:10:18 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
ff open in several tabs, 1 workspace, but not on top
worked in address-boook thunderbird, import address info from claws-mail address-book with cut/paste
closed thunderbird address-book
crash ff

can this be consequentially right? in any case, this must be the way it happened, step by step

Comment 142 Justin Clift 2010-06-12 11:53:33 UTC
Well, this kind of points to a short term solution for now:

  http://labs.adobe.com/technologies/flashplayer10/64bit.html

  "We have temporarily closed the Labs program of Flash Player 10
   for 64-bit Linux ..."

Although the upstream browser has been rock solid with the flash plug-in over the last few days, it looks like it's time to remove it.

If it turns out flash is required after all, then I'll give the nswrapperplugin approach a go again.

Thanks for the assist guys. :)

Comment 143 Cliff 2010-06-12 12:36:23 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just on closing Firefox
2.
3.


Comment
-----
When I close Firefox it crashes after the fact.

Comment 144 Sean E. Millichamp 2010-06-12 19:31:34 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Quit firefox
2. Watch it sometimes crash



Comment
-----
Firefox often crashes on me when I hit CTRL-Q to close it. Exactly when it chooses to do so seems rather unpredictable.

Comment 145 DeepPurpleFedora 2010-06-13 03:01:50 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.USED IT
2.closed it
3.installed 3d tab switch plugin but this was going on before that

Comment 146 Francisco Costa 2010-06-13 19:08:38 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start firefox
2. Wacth videos
3. Finalize firefox
4. Error signal 11

Comment 147 Peter Dawes 2010-06-13 19:19:49 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Clicked on close button...
2.
3.

Comment 148 Corey Ashford 2010-06-13 23:34:04 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I installed the NoScript add-on
2. I restarted Firefox.




Comment
-----
I don't know if it will reproduce again, but that's what I did when it happened.

Comment 149 Raphos 2010-06-15 17:14:27 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Close firefox
2.
3.

Comment 150 Robin R. Price II 2010-06-15 19:03:04 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Closed firefox
2.
3.


Comment
-----
All I did was close firefox.  Firefox had about 10 tabs open as well.  Some with flash in the background.  Flash version is the 64bit beta version 10.0

Comment 151 Alessandro 2010-06-16 03:44:33 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.somente fechei o firefox
2.veio instalado no sistema
3.fedora usando XFCE

Comment 152 Igor Katalnikov 2010-06-16 06:40:32 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Close Firefox
2.
3.

Comment 153 John Horne 2010-06-16 23:59:50 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start firefox, then exit it.
2.
3.


Comment
-----
Intermittently firefox will crash when I exit it. It does not seem to matter which sites I have visited. As such the problem is not reproducible.

Comment 154 Christopher A. Williams 2010-06-17 05:01:05 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Firefox
2. Run any Applications requiring someting like Flash
3. Exit Firefox


Comment
-----
Following the steps above, Firefx crashes on exis.

Comment 155 Torbjørn Lindahl 2010-06-17 14:28:06 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start firefox browse some, and then quit
2.
3.


Comment
-----
firefox tend to do this all the time, i have not seen any pattern

Comment 156 Daniel Demus 2010-06-17 14:32:02 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Shutting down firefox

Comment 157 Gary Graham 2010-06-18 18:29:02 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.The browser is working perfectly untill I close it.
2.Each time I close it, it closes, then generates this error.
3.

Comment 158 kr3g0th 2010-06-19 10:12:55 UTC
Package: firefox-3.5.9-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Load Firefox
2.Surf on the Internet
3.Close Firefox

Comment 159 Tony C 2010-06-19 13:43:09 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.click the 'red X' on the top right-hand window of the browser
2.it closes with a crash
3.ABRT asks that I report the crash


Comment
-----
I don't know why it does this, it just does from time to time

Comment 160 Tony C 2010-06-19 14:11:17 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.click the 'red X' on the top right-hand window of the browser
2.it closes with a crash
3.ABRT asks that I report the crash


Comment
-----
I don't know why it does this, it just does from time to time

Comment 161 Jochen Brinkmann 2010-06-19 14:16:07 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just closed Firefox

Comment 162 Tony C 2010-06-19 14:39:10 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open browser
2.close browser
3.bug reporter opens


Comment
-----
this is becoming a more frequent occurence - maybe it's Java, maybe it's the lack of 64bit Flash, but something is crashing Firefox

Comment 163 the.hw.group 2010-06-19 15:25:52 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.close and save tabs in the browser

Comment 164 DeepPurpleFedora 2010-06-19 17:59:33 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.closed the application and the crash report afterwards popped up
2.
3.

Comment 165 Tony C 2010-06-20 01:26:39 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.same as always
2.close browser
3.crash and ABRT opens


Comment
-----
the easiest way to reproduce is to use Firefox aand then close it. it crashes everytime, but I'm sure that something will come from constantly reporting the error

Comment 166 Joseph D. Wagner 2010-06-20 04:18:23 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.

Comment
-----
Quit Firefox.  Likely related to 64-bit alpha Flash plugin from Adobe.

Comment 167 Tony C 2010-06-20 09:28:29 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.same as always
2.close browser
3.crash and ABRT opens


Comment
-----
the easiest way to reproduce is to use Firefox aand then close it. it crashes everytime, but I'm sure that something will come from constantly reporting the error

Comment 168 glasfaserfensterspam 2010-06-21 13:49:35 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Just closed firefox, was long time in panel and then abtr poped up.

Comment 169 zreimer 2010-06-22 14:27:17 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crash occurs consistently on exit of Firefox.
2.
3.


Comment
-----
Crash occurs consistently whenever I exit Firefox. This occured on the same machine under FC12, and this is a clean install (other than home directories).

Comment 170 Robert Kief 2010-06-22 15:24:12 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed Firefox




Comment
-----
Browsed for a few minutes, then closed Firefox.   Previous 2-3 closures did not result in an error messaage.  This installation (Fedora 13 x86_64) is only a few hours old

Comment 171 Robert Kief 2010-06-22 21:13:59 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Closed Firefox after an extended session with the browser.

Comment 172 Robin R. Price II 2010-06-22 21:23:07 UTC
Any update on this BZ?

~rp

Comment 173 Vladimir 2010-06-23 04:41:31 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open several tabs with random sites in FF
2. Close FF
3.

Comment 174 bjass57 2010-06-23 09:03:50 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
close firefox

Comment 175 chadgladue 2010-06-23 18:18:24 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.?
2.
3.


Comment
-----
just closed firefox with the X

Comment 176 Matthias 2010-06-23 22:22:49 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. closing ff
2.
3.


Comment
-----
closing ff after browsing. single tab was open when closing normally via the x-icon in the upper right corner.

Comment 177 Torbjørn Lindahl 2010-06-25 22:20:32 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. not sure.. firefox tend to crash all tie time like this
2.
3.

Comment 178 Torbjørn Lindahl 2010-06-29 13:58:49 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.not sure what happened, just saw the error after I closed firefox
2.
3.

Comment 179 Dario Castellarin 2010-06-30 21:38:35 UTC
Am I the only one not seeing this anymore with firefox 3.6.4? Plugin process isolation should prevent flash from crashing firefox now...

Comment 180 mistraal 2010-06-30 22:45:44 UTC
No you're not the only one. I don't see the bug anymore with firefox 3.6.4

Comment 181 Justin Clift 2010-07-13 14:36:56 UTC
As a data point, the 32 bit version of flash (through nspluginwrapper) that I switched to is dumping core pretty often:

$ ls -altr core.*
-rw------- 1 jc jc 289644544 Jun 16 05:32 core.31084
-rw------- 1 jc jc  88915968 Jun 16 05:37 core.13732
-rw------- 1 jc jc 112508928 Jun 16 23:25 core.5113
-rw------- 1 jc jc  88309760 Jun 16 23:29 core.6689
-rw------- 1 jc jc  63213568 Jun 17 18:40 core.6233
-rw------- 1 jc jc  27594752 Jun 18 17:04 core.6256
-rw------- 1 jc jc  25673728 Jun 18 17:04 core.6310
-rw------- 1 jc jc 382009344 Jun 19 23:26 core.23273
-rw------- 1 jc jc  38940672 Jun 20 12:42 core.2419
-rw------- 1 jc jc  28622848 Jun 22 15:50 core.2360
-rw------- 1 jc jc  25788416 Jun 26 22:06 core.12135
-rw------- 1 jc jc  40919040 Jun 27 00:38 core.12202
-rw------- 1 jc jc  64155648 Jun 27 16:35 core.6298
-rw------- 1 jc jc 127733760 Jun 28 02:42 core.24612
-rw------- 1 jc jc  49594368 Jun 28 02:43 core.14203
-rw------- 1 jc jc  44433408 Jun 28 02:44 core.14250
-rw------- 1 jc jc  46014464 Jun 28 02:45 core.14284
-rw------- 1 jc jc  44752896 Jun 28 02:46 core.14365
-rw------- 1 jc jc  45178880 Jun 28 02:46 core.14396
-rw------- 1 jc jc 146583552 Jun 28 03:17 core.14445
-rw------- 1 jc jc  59031552 Jun 28 04:12 core.15065
-rw------- 1 jc jc  27299840 Jun 28 15:36 core.2402
-rw------- 1 jc jc  84381696 Jun 29 03:02 core.4395
-rw------- 1 jc jc  51748864 Jun 29 03:09 core.21596
-rw------- 1 jc jc  55353344 Jun 29 05:49 core.21652
-rw------- 1 jc jc  55926784 Jul  2 04:12 core.14144
-rw------- 1 jc jc 432140288 Jul  3 00:35 core.30173
-rw------- 1 jc jc  49729536 Jul  4 20:27 core.14440
-rw------- 1 jc jc  30793728 Jul  4 21:29 core.27327
-rw------- 1 jc jc  20295680 Jul  5 17:13 core.5224
-rw------- 1 jc jc 190947328 Jul  5 21:24 core.15716
-rw------- 1 jc jc  75345920 Jul  5 21:24 core.19659
-rw------- 1 jc jc  47718400 Jul 10 18:10 core.2227
-rw------- 1 jc jc  12333056 Jul 11 01:36 core.17543
-rw------- 1 jc jc  27340800 Jul 12 01:52 core.6346
-rw------- 1 jc jc  80904192 Jul 12 08:40 core.4785
-rw------- 1 jc jc  28897280 Jul 14 00:02 core.26020
-rw------- 1 jc jc  28934144 Jul 14 00:02 core.26054
$ file core.26054
core.26054: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style, from '/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflas'
$ file core.26020
core.26020: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style, from '/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflas'
$ file core.4785
core.4785: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style, from '/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflas'
$ file core.6346
core.6346: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style, from '/usr/lib/nspluginwrapper/npviewer.bin --plugin /usr/lib/mozilla/plugins/libflas'
$

Just reclaimed about a Gig of disk space by deleting them.  *sigh*

Comment 182 Benjamin Bellec 2010-08-26 08:55:11 UTC
I don't encounter this bug since many weeks. Like comments #179 and #180, I think the plugin's isolation in Firefox 3.6.4 resolves this bug.

We should close this bug ?

Comment 183 Tomas Pelka 2010-08-26 09:22:50 UTC
Me too, lets close it.

Comment 184 Cristian Ciupitu 2010-08-26 11:04:53 UTC
+1 for closing it

Comment 185 Corey Ashford 2010-08-26 18:45:24 UTC
+1 for closing it.  I haven't seen this bug for quite some time.

Comment 186 Benjamin Bellec 2010-08-26 18:51:39 UTC
I am not able to close it, Tomas Pelka perhaps you can ?

Comment 187 Tomas Pelka 2010-08-26 19:01:54 UTC
Aah sorry guys didn't realize that you haven't permissions.

Closing as CURRENTRELEASE.

Thanks
Tom


Note You need to log in before you can comment on or make changes to this bug.